at.chipkarte.client.dmp.soap

## Class SvPerson

- Object
- - at.chipkarte.client.dmp.soap.SvPerson

-     public class SvPerson
      extends Object

  Enthält die Daten zu einer SV-Person. Die Daten stammen vom e-card Serversystem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvPerson()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDruckNachname()` Drucknachname der SV-Person.
    `String` | `getDruckTitelHinten()` Druckitel vorne der SV-Person.
    `String` | `getDruckTitelVorne()` Druckitel vorne der SV-Person.
    `String` | `getDruckVorname()` Druckvorname der SV-Person.
    `String` | `getGeburtsdatum()` Geburtsdatum der SV-Person.
    `String` | `getGeschlecht()` Code des Geschlechts der SV-Person.
    `String` | `getNachname()` Nachname der SV-Person.
    `String` | `getSvNummer()` Sozialversicherungsnummer der SV-Person.
    `String` | `getTitelHinten()` Titel hinten der SV-Person.
    `String` | `getTitelVorne()` Titel vorne der SV-Person.
    `String` | `getVorname()` Vorname der SV-Person.
    `void` | `setDruckNachname(String druckNachname)`
    `void` | `setDruckTitelHinten(String druckTitelHinten)`
    `void` | `setDruckTitelVorne(String druckTitelVorne)`
    `void` | `setDruckVorname(String druckVorname)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeschlecht(String geschlecht)`
    `void` | `setNachname(String nachname)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTitelHinten(String titelHinten)`
    `void` | `setTitelVorne(String titelVorne)`
    `void` | `setVorname(String vorname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvPerson

          public SvPerson()

  - ### Method Detail

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum der SV-Person.
      Format: "TT.MM.JJJJ".
      Returns:
        Geburtsdatum

    - #### getGeschlecht

          public String getGeschlecht()

      Code des Geschlechts der SV-Person.
      Mögliche Werte siehe Konstante `Geschlecht`.
      Format: maximal 1-stellig.
      Returns:
        Geschlecht

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der SV-Person.
      Format: 10-stellig, numerisch.
      Returns:
        Sozialversicherungsnummer

    - #### getTitelHinten

          public String getTitelHinten()

      Titel hinten der SV-Person.
      Format: maximal 30-stellig.
      Returns:
        Titel hinten

    - #### getTitelVorne

          public String getTitelVorne()

      Titel vorne der SV-Person.
      Format: maximal 30-stellig.
      Returns:
        Titel vorne

    - #### getVorname

          public String getVorname()

      Vorname der SV-Person.
      Format: maximal 70-stellig.
      Returns:
        Vorname

    - #### getNachname

          public String getNachname()

      Nachname der SV-Person.
      Format: maximal 70-stellig.
      Returns:
        Nachname

    - #### getDruckVorname

          public String getDruckVorname()

      Druckvorname der SV-Person.
      Format: maximal 70-stellig.
      Returns:
        Druckvorname

    - #### getDruckTitelVorne

          public String getDruckTitelVorne()

      Druckitel vorne der SV-Person.
      Format: maximal 30-stellig.
      Returns:
        Druckitel vorne

    - #### getDruckTitelHinten

          public String getDruckTitelHinten()

      Druckitel vorne der SV-Person.
      Format: maximal 30-stellig.
      Returns:
        Druckitel vorne

    - #### getDruckNachname

          public String getDruckNachname()

      Drucknachname der SV-Person.
      Format: maximal 70-stellig.
      Returns:
        Drucknachname

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### setGeschlecht

          public void setGeschlecht(String geschlecht)

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setTitelHinten

          public void setTitelHinten(String titelHinten)

    - #### setTitelVorne

          public void setTitelVorne(String titelVorne)

    - #### setVorname

          public void setVorname(String vorname)

    - #### setNachname

          public void setNachname(String nachname)

    - #### setDruckVorname

          public void setDruckVorname(String druckVorname)

    - #### setDruckNachname

          public void setDruckNachname(String druckNachname)

    - #### setDruckTitelVorne

          public void setDruckTitelVorne(String druckTitelVorne)

    - #### setDruckTitelHinten

          public void setDruckTitelHinten(String druckTitelHinten)